Bug 1780807 - [abrt] gnome-terminal: vte_terminal_accessible_text_scrolled(): gnome-terminal-server killed by SIGABRT
Summary: [abrt] gnome-terminal: vte_terminal_accessible_text_scrolled(): gnome-termina...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f090d55e72bab3ea0c88da502a3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-07 02:57 UTC by Samuel
Modified: 2020-11-24 17:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:53:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.81 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: core_backtrace (13.37 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: cpuinfo (2.47 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: dso_list (8.32 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: environ (1.78 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: limits (1.29 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: maps (59.96 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: mountinfo (2.75 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: open_fds (1.05 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-12-07 02:57 UTC, Samuel
no flags Details

Description Samuel 2019-12-07 02:57:07 UTC
Description of problem:
I was resizing the gnome-terminal window from the right-side edge towards the left to be as narrow as possible. Once it seemed to be as narrow as it could be, it crashed (before I had let go of the cursor button on my mouse).

I am using Wayland on an Nvidia GTX 960M.

Hardware info: 

Dell XPS 15 9550 - Intel(R) Core(TM) i7-6700HQ CPU @ 2.60GHz - Nvidia GeForce GTX 960M

  ~ ❯ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 07)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 07)
00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Thermal Subsystem (rev 31)
00:15.0 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Serial IO I2C Controller #0 (rev 31)
00:15.1 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Serial IO I2C Controller #1 (rev 31)
00:16.0 Communication controller: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controller #1 (rev 31)
00:17.0 SATA controller: Intel Corporation HM170/QM170 Chipset SATA Controller [AHCI Mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #1 (rev f1)
00:1c.1 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #2 (rev f1)
00:1d.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 (rev f1)
00:1d.4 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #13 (rev f1)
00:1d.6 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #15 (rev f1)
00:1f.0 ISA bridge: Intel Corporation HM170 Chipset LPC/eSPI Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Controller (rev 31)
00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller (rev 31)
00:1f.4 SMBus: Intel Corporation 100 Series/C230 Series Chipset Family SMBus (rev 31)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2)
02:00.0 Network controller: Qualcomm Atheros QCA6174 802.11ac Wireless Network Adapter (rev 32)
03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader (rev 01)
04:00.0 Non-Volatile memory controller: SK hynix PC300 NVMe Solid State Drive 512GB
06:00.0 PCI bridge: Intel Corporation DSL6340 Thunderbolt 3 Bridge [Alpine Ridge 2C 2015]
07:00.0 PCI bridge: Intel Corporation DSL6340 Thunderbolt 3 Bridge [Alpine Ridge 2C 2015]
07:01.0 PCI bridge: Intel Corporation DSL6340 Thunderbolt 3 Bridge [Alpine Ridge 2C 2015]
07:02.0 PCI bridge: Intel Corporation DSL6340 Thunderbolt 3 Bridge [Alpine Ridge 2C 2015]
3e:00.0 USB controller: Intel Corporation DSL6340 USB 3.1 Controller [Alpine Ridge]


Version-Release number of selected component:
gnome-terminal-3.34.2-1.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: vte_terminal_accessible_text_scrolled
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=023bb084dffe42929bc0ccececabcff7;i=2a1ed;b=295b4efae3b74204a539c3d487b08794;m=184c99a3e;t=5991348b5b2db;x=6e4d4ab00cff0b94
kernel:         5.3.14-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Samuel 2019-12-07 02:57:11 UTC
Created attachment 1642793 [details]
File: backtrace

Comment 2 Samuel 2019-12-07 02:57:13 UTC
Created attachment 1642794 [details]
File: core_backtrace

Comment 3 Samuel 2019-12-07 02:57:14 UTC
Created attachment 1642795 [details]
File: cpuinfo

Comment 4 Samuel 2019-12-07 02:57:16 UTC
Created attachment 1642796 [details]
File: dso_list

Comment 5 Samuel 2019-12-07 02:57:17 UTC
Created attachment 1642797 [details]
File: environ

Comment 6 Samuel 2019-12-07 02:57:18 UTC
Created attachment 1642798 [details]
File: limits

Comment 7 Samuel 2019-12-07 02:57:21 UTC
Created attachment 1642799 [details]
File: maps

Comment 8 Samuel 2019-12-07 02:57:22 UTC
Created attachment 1642800 [details]
File: mountinfo

Comment 9 Samuel 2019-12-07 02:57:24 UTC
Created attachment 1642801 [details]
File: open_fds

Comment 10 Samuel 2019-12-07 02:57:25 UTC
Created attachment 1642802 [details]
File: proc_pid_status

Comment 11 Ben Cotton 2020-11-03 15:57:10 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2020-11-24 17:53:14 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.